#ifdef __cplusplus
extern "C" {
#endif

#ifndef CONFIG_I2C_H_
#define CONFIG_I2C_H_

extern volatile uint8_t ADget_mode;
extern volatile uint8_t Stop_IT_flag; // このフラグをセットして割り込みを停止する

extern uint8_t RX_data[];

extern int16_t AD_data_axel_x;
extern int16_t AD_data_axel_y;
extern int16_t AD_data_axel_z;
extern int16_t AD_data_temp;
extern int16_t AD_data_gyro_x[4];
extern int16_t AD_data_gyro_y[4];
extern int16_t AD_data_gyro_z[4];


extern void I2C_DMA_config_for_communication_with_MPU9150(void);
extern volatile uint8_t Start_I2C_DMA_for_communication_with_MPU9150(void);
extern void Stop_I2C_DMA_for_communication_with_MPU9150(void);
extern void get_compass_AD_data(void* RX_Data_start_address);
extern void I2C_write_1byte(uint8_t Data, uint8_t slave_address , uint8_t register_address);
extern uint8_t I2C_read_1byte(uint8_t slave_address ,uint8_t register_address);
extern void I2C_DMA_write(uint8_t* Data_address, uint32_t Data_num ,uint8_t slave_address);
extern void I2C_DMA_read(uint8_t* Data_address, uint32_t Data_num ,uint8_t slave_address ,uint8_t register_address);
extern void I2C_TIM_config_for_check_Timeout(void);
extern void reset_I2C_TIM(void);
extern volatile float time_passing(void);

#endif

#ifdef __cplusplus
}
#endif
